Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.framelist
Class BackAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.views.framelist.FrameAction
              org.eclipse.ui.views.framelist.BackAction

All Implemented Interfaces:
  IAction

public class BackAction
extends FrameAction

Generic "Back" action which goes back one frame,

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`BackAction(FrameList frameList)` Constructs a new action for the specified frame list.

Method Summary
`void` | `run()` Calls `back()` on the frame list.
`void` | `update()` Updates this action's enabled state and tool tip text.

Methods inherited from class org.eclipse.ui.views.framelist.FrameAction
`dispose, getFrameList, handlePropertyChange`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackAction

    public BackAction(FrameList frameList)

  Constructs a new action for the specified frame list.

Parameters:
  `frameList` - the frame list

Method Detail

### run

    public void run()

  Calls `back()` on the frame list.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### update

    public void update()

  Updates this action's enabled state and tool tip text. This action is enabled only when there is a previous frame in the frame list. The tool tip text is "Back to " plus the tool tip text for the previous frame.

  Overrides:
    `update` in class `FrameAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.